zenilib: PFR_PhyFontRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
PFR_PhyFontRec_ Struct Reference

`#include <pfrtypes.h>`

## Public Attributes

FT_Int | ascent
FT_BBox | bbox
FT_Long | bct_offset
FT_UInt | blue_fuzz
FT_UInt | blue_scale
FT_Int * | blue_values
PFR_Char | chars
FT_Offset | chars_offset
FT_Byte * | cursor
FT_Int | descent
FT_String * | family_name
FT_UInt | flags
FT_String * | font_id
FT_UInt | font_ref_number
PFR_DimensionRec | horizontal
PFR_KernItem | kern_items
PFR_KernItem * | kern_items_tail
FT_Int | leading
FT_UInt | max_strikes
FT_Memory | memory
FT_UInt | metrics_resolution
FT_UInt | num_blue_values
FT_UInt | num_chars
FT_UInt | num_kern_pairs
FT_UInt | num_strikes
FT_UInt32 | offset
FT_UInt | outline_resolution
FT_UInt | standard_advance
PFR_StrikeRec * | strikes
FT_String * | style_name
PFR_DimensionRec | vertical

## Detailed Description

Definition at line 222 of file pfrtypes.h.

## Member Data Documentation

FT_Int PFR_PhyFontRec_::ascent

Definition at line 234 of file pfrtypes.h.

FT_BBox PFR_PhyFontRec_::bbox

Definition at line 230 of file pfrtypes.h.

Referenced by pfr_face_init().

FT_Long PFR_PhyFontRec_::bct_offset

Definition at line 263 of file pfrtypes.h.

FT_UInt PFR_PhyFontRec_::blue_fuzz

Definition at line 251 of file pfrtypes.h.

FT_UInt PFR_PhyFontRec_::blue_scale

Definition at line 252 of file pfrtypes.h.

FT_Int* PFR_PhyFontRec_::blue_values

Definition at line 250 of file pfrtypes.h.

PFR_Char PFR_PhyFontRec_::chars

Definition at line 256 of file pfrtypes.h.

Referenced by pfr_face_get_kerning(), pfr_face_init(), and pfr_get_advance().

FT_Offset PFR_PhyFontRec_::chars_offset

Definition at line 255 of file pfrtypes.h.

FT_Byte* PFR_PhyFontRec_::cursor

Definition at line 264 of file pfrtypes.h.

FT_Int PFR_PhyFontRec_::descent

Definition at line 235 of file pfrtypes.h.

FT_String* PFR_PhyFontRec_::family_name

Definition at line 242 of file pfrtypes.h.

Referenced by pfr_face_init().

FT_UInt PFR_PhyFontRec_::flags

Definition at line 231 of file pfrtypes.h.

Referenced by pfr_face_init().

FT_String* PFR_PhyFontRec_::font_id

Definition at line 241 of file pfrtypes.h.

Referenced by pfr_face_init().

FT_UInt PFR_PhyFontRec_::font_ref_number

Definition at line 227 of file pfrtypes.h.

PFR_DimensionRec PFR_PhyFontRec_::horizontal

Definition at line 238 of file pfrtypes.h.

PFR_KernItem PFR_PhyFontRec_::kern_items

Definition at line 259 of file pfrtypes.h.

Referenced by pfr_face_get_kerning().

PFR_KernItem* PFR_PhyFontRec_::kern_items_tail

Definition at line 260 of file pfrtypes.h.

FT_Int PFR_PhyFontRec_::leading

Definition at line 236 of file pfrtypes.h.

FT_UInt PFR_PhyFontRec_::max_strikes

Definition at line 246 of file pfrtypes.h.

FT_Memory PFR_PhyFontRec_::memory

Definition at line 224 of file pfrtypes.h.

FT_UInt PFR_PhyFontRec_::metrics_resolution

Definition at line 229 of file pfrtypes.h.

Referenced by pfr_get_kerning(), and pfr_get_metrics().

FT_UInt PFR_PhyFontRec_::num_blue_values

Definition at line 249 of file pfrtypes.h.

FT_UInt PFR_PhyFontRec_::num_chars

Definition at line 254 of file pfrtypes.h.

Referenced by pfr_face_get_kerning(), and pfr_face_init().

FT_UInt PFR_PhyFontRec_::num_kern_pairs

Definition at line 258 of file pfrtypes.h.

Referenced by pfr_face_init().

FT_UInt PFR_PhyFontRec_::num_strikes

Definition at line 245 of file pfrtypes.h.

Referenced by pfr_face_init().

FT_UInt32 PFR_PhyFontRec_::offset

Definition at line 225 of file pfrtypes.h.

FT_UInt PFR_PhyFontRec_::outline_resolution

Definition at line 228 of file pfrtypes.h.

Referenced by pfr_face_init(), pfr_get_kerning(), and pfr_get_metrics().

FT_UInt PFR_PhyFontRec_::standard_advance

Definition at line 232 of file pfrtypes.h.

Referenced by pfr_face_init().

PFR_StrikeRec* PFR_PhyFontRec_::strikes

Definition at line 247 of file pfrtypes.h.

Referenced by pfr_face_init().

FT_String* PFR_PhyFontRec_::style_name

Definition at line 243 of file pfrtypes.h.

Referenced by pfr_face_init().

PFR_DimensionRec PFR_PhyFontRec_::vertical

Definition at line 239 of file pfrtypes.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/pfr/pfrtypes.h